4

I am trying to create a local cluster using scrips available on solana repository. I am testing using v1.11.9.

I use the script multinode-demo/setup.sh to create a genesis block. Then i use the scripts multinode-demo/bootstrap-validator.sh and multinode-demo/faucet.sh to start the bootstrap validator and faucet.

After starting the bootstrap validator and faucet I am using using following command to use solana with my local cluster. solana config set --url http:\\127.0.0.1:8899

I get correctly the transaction count, slot and the balance of the bootstrap validator identity using solana cli.

When I do airdrop on an address the faucet accepts the airdrop request but the validator does not process it. And i get confirmation error on the solana cli. Same thing happen when i use transfer command to transfer some sol from bootstrap validator identity to another account.

In both cases I get following error : Error: unable to confirm transaction. This can happen in situations such as transaction expiration and insufficient fee-payer funds.

When i use the solana-test-validator i do not have this issue.

5
  • After some testing I found out that, If i download a solana version using solana-version init solana-test-validator works fine. But if i build solana source from source even solana-test-validator has same problem. Oct 2, 2022 at 17:22
  • I also found a wierd issue that compiling on master branch we do not get the same issue, but compiling a specific version v1.14.3 I have the same issue. Seems to be related to QUIC. Oct 3, 2022 at 17:08
  • I have created an issue for this comment : github.com/solana-labs/solana/issues/28191 Oct 12, 2022 at 16:26
  • Hello I was able to achieve this with latest version, also did you tried to add validators to the local cluster ? I am facing slot synching issue while doing so. Can you help me on this ? Jan 31, 2023 at 20:23
  • @Galactus Godmode how can I make this work with 1.13.7? I have a local cluster I cannot make finalize a transaction...
    – T3chie
    Apr 25, 2023 at 0:33

1 Answer 1

1

I found the issue, solana should be compiled with a specific version of rust because of quinn. You cannot compile solana with the latest rust compiler.

So when you compile solana instead of doing :

cargo build

It is better to do :

./cargo build

Check for whole conversation : https://github.com/solana-labs/solana/issues/28191

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.